import http from '@/utils/request'

export const postManager = (url, params) => {
  return http.post(`manager/${url}`, params)
}
export const getManager = (url) => {
  return http.post(`manager/${url}`)
}

// 管理员获取交班记录
export const getHandOverList = (params) => {
  return http.post('manager/getHandOverList', params)
}
// 查询某一次交班统计详情
export const getHandOverStatisticsById = (params) => {
  return http.post('manager/getHandOverStatisticsById', params)
}
// 获取当前用户交班统计
export const getHandOverStatistics = () => {
  return http.post('manager/getHandOverStatistics')
}
// 交班
export const handOver = (params) => {
  return http.post('manager/handOver', params)
}
// 获取各售票点的交班营业汇总
export const getHandOverBySpot = (params) => {
  return http.post('manager/getSaleStatisticsByTicketSpot', params)
}

// 获取各售票点的交班营业汇总
export const getHandOverBySpotTicketType = (params) => {
  return http.post('manager/getSaleStatisticsByTicketSpotTicketType', params)
}
